#include <Timer 1 PWM.h>

#FUSES NOMCLR

#define salida pin_d0

int16 POT;
float tiempo;

#INT_TIMER1
void reset_timer()
{
   set_timer1(23870); //Resetea el timer1
   if (input(salida) == 0)
   {
      delay_us((int16)tiempo);//controla el ancho de pulso positivo
   }
   output_toggle(salida); //cambia el estado del pin_d0 (1/0)
}

void main()
{
   setup_timer_1(T1_INTERNAL|T1_DIV_BY_1);

   enable_interrupts(GLOBAL);
   enable_interrupts(INT_TIMER1);

   set_timer1(23870); //Inicializa el timer1

   setup_adc(ADC_CLOCK_INTERNAL);
   while(TRUE)
   {
      set_adc_channel (0);//Lectura Vout del potenciometro en PIN AN0
      delay_ms(10);
      POT = read_adc();// lectura del valor
      
      tiempo = ((int32)POT*8333)/1023;
   }

}
