#include <Timer 1 contador.h>

#FUSES NOMCLR

#use i2c(Master, Fast, sda=PIN_B0, scl=PIN_B1, force_sw, stream=OLED_stream)//parametros I2C

#define SH1106_128_64 //DEFINE EL MODELO DE LA PANTALLA OLED
//#define SSD1306_128_64

#include "OLED_I2C.c" //libreria oled I2C


#define salida pin_d0

int16 contador;

#INT_TIMER1 //interrupcion por desbordamiento del timer1
void reset_timer ()
{
   output_bit(salida, 1);
   delay_ms(3000);
   output_bit(salida, 0);

   set_timer1(65526); //inicializa el contador del timer1
}

void mostrar()
{
      char texto[20];

      sprintf(texto,"Valor=%05lu", contador);
      OLED_DrawText(1,1,texto,1);

      OLED_Display();//Muestra la informacin en pantalla;
}


void main()
{
   setup_timer_1(T1_EXTERNAL|T1_DIV_BY_1); // flanco de subida

   set_timer1(65526); //inicializa el contador del timer1 (10 pulsos)
   
   enable_interrupts(GLOBAL);
   enable_interrupts(INT_TIMER1);

   OLED_Begin();
   OLED_ClearDisplay();
   while(TRUE)
   {
      contador = get_timer1(); //Lectura del timer1
      mostrar();
   }

}
