#include <Timer 1 temporizador.h>

#FUSES NOMCLR

#use i2c(Master, Fast, sda=PIN_B0, scl=PIN_B1, force_sw, stream=OLED_stream)//parametros I2C

#define SH1106_128_64 //DEFINE EL MODELO DE LA PANTALLA OLED
//#define SSD1306_128_64

#include "OLED_I2C.c" //libreria oled I2C

#define entrada input(pin_b2) //interrupcion externa INT2

int16 val_timer;
float tiempo;

#INT_EXT2
void reset_timer()
{
     set_timer1(0);//Inicializa el timer1
     while(entrada)
     {}
     val_timer = get_timer1();//lectura el timer1
}

void mostrar()
{
      char texto[20];

      sprintf(texto,"Val=%f", tiempo);
      OLED_DrawText(1,1,texto,2);

      OLED_Display();//Muestra la informacin en pantalla;
}

void main()
{

   setup_timer_1(T1_INTERNAL|T1_DIV_BY_1);
   
   enable_interrupts(GLOBAL);
   enable_interrupts(INT_EXT2);

   OLED_Begin();
   OLED_ClearDisplay();   

   while(TRUE)
   {
      tiempo = ((int32)val_timer*13.107)/65536;
      
      mostrar();

      //TODO: User Code
   }

}
